#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_autoreconf:
	./bootstrap

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

override_dh_auto_install:
	mkdir -p $(DESTDIR)$(OCAML_STDLIB_DIR) $(DESTDIR)$(OCAML_DLL_DIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR) OCAMLFIND_LDCONF=ignore
	rm -f $(DESTDIR)$(OCAML_DLL_DIR)/*.owner
